﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ShowProjects.aspx.cs" Inherits="LanguageWire.Connectors.EpiServer.ModalWindows.ShowProjects.ShowProjects, LanguageWire.Connectors.EpiServer" %>
<%@ Import Namespace="LanguageWire.Connectors.EpiServer.Business.FrontEndTranslation" %>
<%@ Register Src="../Components/Head.ascx" TagPrefix="uc1" TagName="Head" %>
<%@ Register Src="../Components/Header.ascx" TagPrefix="uc1" TagName="Header" %>
<%@ Register Src="ProjectOverviewControl.ascx" TagPrefix="uc1" TagName="ProjectOverviewControl" %>

<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <uc1:Head runat="server" ID="Head" />
    <title></title>
    <link href="../Assets/css/show-projects.css" rel="stylesheet" />
</head>
<body>
    <form id="form1" runat="server">
        <uc1:Header runat="server" ID="Header" />
        <div class="container">
            <div class="row">&nbsp;</div>
            <ul class="nav nav-tabs nav-justified">
                <li role="presentation" runat="server" id="tabstep1">
                    <asp:LinkButton runat="server"  ID="lbInProgress" OnClick="LbInProgress_OnClick" Text='<%# TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowProjects, "inProgressTab") %>'></asp:LinkButton>
                </li>
                <li role="presentation" runat="server" id="tabstep2">
                    <asp:LinkButton runat="server" ID="lbCompleted" OnClick="LbCompleted_OnClick" Text='<%# TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowProjects, "completedTab") %>'></asp:LinkButton>
                </li>
            </ul>
            <div class="row tabsContent" runat="server" id="step1">
                <uc1:ProjectOverviewControl runat="server" ID="InProgressControl" />
            </div>
            <div class="row  tabsContent" runat="server" id="step2">
                <uc1:ProjectOverviewControl runat="server" ID="CompletedControl" />
            </div>
            <div class="row buttonRow">
                <div class="col-xs-12">
                    <div class="panel panel-default">
                        <div class="panel-body">
                            <div class="col-xs-12" style="text-align: right">
                                <asp:Button ID="btnClose" class="btn btn-default" Text='<%# TranslationDictionary.Lookup(TranslationDictionaryDomain.Common, "close") %>' runat="server" OnClick="OnClickCloseWindow" />
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
</body>
<script id="OrderTmpl" type="text/x-jsrender">
    <tr class="assignments info">
        <td colspan="8">
            <table class="table">
                <thead>
                    <tr style="height: 24px;">
                        <th class="col-xs-1" style="padding: 4px">Status</th>
                        <th class="col-xs-5" style="padding: 4px">Source language</th>
                        <th class="col-xs-5" style="padding: 4px">Target language</th>
                        <th class="col-xs-1" style="padding: 4px; border-left: none;"></th>
                    </tr>
                </thead>
                {{:output}}
            </table>
        </td>
    </tr>
</script>
<script>
    $j().ready(function () {
        $j.templates("OrderTmpl", {
            markup: "#OrderTmpl"
        });
    });
</script>
<script src="../Assets/js/projects.js"></script>
</html>
