# Script will remove file LanguageWire.EpiServer.Translation.AddOn.dll from defined paths if exists. This file have invalid name and is replaced by LanguageWire.Connectors.EpiServer.dll

param($installPath, $toolsPath, $package, $project)

$projectName=$project."Name"

$locationsToSearch=@("bin\", ".\$projectName\bin\")

$fileName = "LanguageWire.EpiServer.Translation.AddOn.dll"

$counter = 0

Write-Host "Cleaninng files..."

ForEach ($location in $locationsToSearch){

    If(Test-Path $location$fileName){
        Remove-Item $location$fileName
        $counter++
    }
}

Write-Host $counter "files removed"